// PortNumExampleDlg.h : header file
//

#if !defined(AFX_PORTNUMEXAMPLEDLG_H__420F5FEE_56E1_4E09_8193_2CCB8A56EDBD__INCLUDED_)
#define AFX_PORTNUMEXAMPLEDLG_H__420F5FEE_56E1_4E09_8193_2CCB8A56EDBD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vector>
#include <string>

#define VERSION_MASK		0x8000000F
#define VERSION_WINVISTA	0x00000006
#define VERSION_WINXP2000	0x00000005
#define VERSION_WIN98		0x80000004

/////////////////////////////////////////////////////////////////////////////
// CPortNumExampleDlg dialog

class CPortNumExampleDlg : public CDialog
{
// Construction
public:
	CPortNumExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPortNumExampleDlg)
	enum { IDD = IDD_PORTNUMEXAMPLE_DIALOG };
	CString	m_Data;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortNumExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPortNumExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRefresh();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void GetDeviceData();
	void FillDeviceList();
	void EnumDevices();
	int GetPortNumXP2000Vista(WORD vid, WORD pid, char* ser);
	int GetPortNum98(WORD vid, WORD pid, char* ser);

private:
	HANDLE		m_hUSBDevice;
	DWORD		m_dwNumDevices;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PORTNUMEXAMPLEDLG_H__420F5FEE_56E1_4E09_8193_2CCB8A56EDBD__INCLUDED_)
